/* Suggested order:
 * display
 * list-style
 * position
 * float
 * clear
 * width
 * height
 * margin
 * padding
 * border
 * background
 * color
 * font
 * text-decoration
 * text-align
 * vertical-align
 * white-space
 * other text
 * content
 *
 */

/* -----------------------------------------------
	standard formatting, do not change!!!
----------------------------------------------- */
* {
	margin: 0;
	padding: 0;
	/*background-repeat: no-repeat;*/
}

body {
	width: 100%;
	min-height: 100%;
	/*background: #fff;*/
}

img {
	border: 0;
}

a {
	text-decoration: none;
}

caption {
	display: inline;
	position: absolute;
	left: -1000px;
	top: -1000px;
	width: 0;
	height:0;
	overflow: hidden;
}

table {
	border-collapse: collapse;
}

th {
	text-align: left;
	vertical-align: top;
}

td {
	vertical-align: top;
}

ul {
	list-style: none;
    padding:0;
}

#mainContent ul.noListType li,
#rightContent ul.noListType li,
ul.noListType li {
	background: none;
	padding-left: 0;
}

ol {
	margin-left: 30px;
    padding:0;
}

dt {
	font-weight: bold;
}

fieldset {
	border: none;
	margin: 0;
	padding: 0;
}

legend {
	display: inline;
	position: absolute;
	left: -1000px;
	top: -1000px;
	width: 0;
	height:0;
	overflow: hidden;
}

input.text,
textarea.text {
	border-width: 1px;
	border-style: solid;
}

.floatLeft {
	float: left;
}

.floatRight {
	float: right;
	padding-right: 1px;
}

.clear {
	clear: both;
}
.clearNone {
	clear: none;
}


#mainContent .clearNone {
	clear: none;
}

.hidden {
	/*display: none;*/
	/*position: absolute;
	left: -9999px;*/
	display: inline;
	position: absolute;
	left: -1000px;
	top: -1000px;
	width: 0;
	height:0;
	overflow: hidden;
}
.nospam {
	display: none;
}

.overflow {
	overflow: auto !important;
	overflow: inherit;
	height: auto !important;
	height: 100%;
	/* ie7 needs this sometimes :( */
	min-height: 100%;
	padding-bottom: 1px;
}

.noMargin,
#mainContent .noMargin {
	margin: 0 !important;
}

.noBackground,
#mainContent .noBackground {
	background: none !important;
}

.noBackgroundColor,
#mainContent .noBackgroundColor,
#rightContent .noBackgroundColor {
	background-color: transparent;	
}
.noBorder,
#mainContent .noBorder {
	border: none;
}

.fontWeightNormal {
	font-weight: normal;
}

.fontWeightBold {
	font-weight: bold;
}

.contentElement {
	clear: both;
}

.mailform {
	overflow: auto !important;
	overflow: inherit;
	height: auto !important;
	height: 100%;
}
	
	.mailform h3 {
		margin: 0;
	}
	.mailform form {
		overflow: hidden;
	}
	
	.mailform input.text {
		padding: 2px;
	}
	
	.mailform textarea {
		padding: 2px !important;
		padding: 0;
	}
	
	.mailform textarea,
	.mailform select {
		margin-left: auto !important;
		margin-left: -2px;
	}
	
	.mailform .button,
	.mailform button {
		width: auto !important;
	}
	
		.mailform button.dateSelector {
			float: left;
			border: none;
			background-repeat: no-repeat;
			background-position: center 0;
		}
		
		.mailform button.dateSelector span {
			display: none;
		}
	
	/* validation */
		
	.mailform .validation-advice {
		position: relative;
		clear: both;
	}
	
	/* Pseudo legend */
	.mailform .legend {
		float: left;
	}

	/* FormElements */
	
	.formElement {
		
		/*overflow: inherit !important;
		overflow: auto;*/
		
		height: auto !important;
		height: 100%;
		min-height: 20px;
	}	
		.formElement label,
		.formElement .left,
		.formElement .right {
			display: block;
			float: left;
		}
		
		.formElement input {
			float: left;
		}
		
		.formElement .requiredElement {
			position: absolute;
		}		
		
		/* CheckElement */
		.checkElement,
		.inputCheckbox {
			height: 38px;
			min-height: 16px;
			overflow: hidden;
		}
		
			.checkElement input,
			.inputCheckbox input {
				position: absolute;
				/* width and height for explorer  => so the default border is gone */
				width: 15px;
				height: 15px;
				float: none;			
			}
		
			.checkElement label,
			.inputCheckbox fieldset label {
				position: absolute;
				width: auto !important;
				float: none;
				padding: 0;
			}
		
		/* radioElement */		
		.radioElement fieldset,
		.inputRadio fieldset {
			float: left;
		}
		
			.radioElement fieldset input,
			.inputRadio fieldset input {
				width: 14px;
				height: 14px;
				clear: both;		
			}	
			.radioElement fieldset label,
			.inputRadio fieldset label {
				padding: 0 0 0 3px;
			}
		
		/* dateSelector */
		fieldset.dateSelector {
			
		}
			fieldset.dateSelector .formElement {
				float: left;				
				background: none;
			}
			
			fieldset.dateSelector .formElement label {
				width: auto !important;
			}
			

	
	
#box {
	text-align: left;
}

#logo {
	display: block;
    left: 1em;
    position: absolute;
    top: 0;
	z-index: 25;
}

.typo3-adminPanel {
	position: absolute;
	z-index: 100 !important;
	top: 100px;
	left: 1000px;
}
.content em {
	margin: 0 !important;
	margin: 0 -1px;
}

.uppercase {
	text-transform: uppercase;
}

.inline li {
	display: inline;
}